Loading...
Searching...
No Matches
Sip_mime_version

## Macros

#define | sip_mime_version(sip)
| Access a SIP MIME-Version header structure sip_mime_version_t from sip_t.
#define | SIP_MIME_VERSION_INIT()
| Initializer for structure sip_mime_version_t.
#define | SIPTAG_MIME_VERSION(x)
| Tag list item for pointer to a MIME-Version header structure sip_mime_version_t.
#define | SIPTAG_MIME_VERSION_REF(x)
| Tag list item for reference to a MIME-Version header pointer.
#define | SIPTAG_MIME_VERSION_STR(s)
| Tag list item for string with MIME-Version header value.
#define | SIPTAG_MIME_VERSION_STR_REF(x)
| Tag list item for reference to a MIME-Version header string.

## Typedefs

typedef struct msg_generic_s | sip_mime_version_t
| @

## Functions

issize_t | sip_mime_version_d (su_home_t *, msg_header_t *, char *s, isize_t slen)
| Parse a SIP MIME-Version header.
issize_t | sip_mime_version_e (char b[], isize_t bsiz, msg_header_t const *h, int flags)
| Print a SIP MIME-Version header.
sip_mime_version_t * | sip_mime_version_init (sip_mime_version_t x[1])
| Initialize a structure sip_mime_version_t.
int | sip_is_mime_version (sip_header_t const *header)
| Test if header object is instance of sip_mime_version_t.
sip_mime_version_t * | sip_mime_version_dup (su_home_t *home, sip_mime_version_t const *hdr))
| Duplicate a list of MIME-Version header header structures sip_mime_version_t.
sip_mime_version_t * | sip_mime_version_copy (su_home_t *home, sip_mime_version_t const *hdr))
| Copy a list of MIME-Version header header structures sip_mime_version_t.
sip_mime_version_t * | sip_mime_version_make (su_home_t *home, char const *s))
| Make a MIME-Version header structure sip_mime_version_t.
sip_mime_version_t * | sip_mime_version_format (su_home_t *home, char const *fmt,...)))
| Make a MIME-Version header from formatting result.

## Variables

msg_hclass_t | sip_mime_version_class []
| Header class for MIME-Version header.
tag_typedef_t | siptag_mime_version
| Tag for MIME-Version header object.
tag_typedef_t | siptag_mime_version_str
| Tag for string with MIME-Version header value.

## Detailed Description

## Macro Definition Documentation

## SIP_MIME_VERSION_INIT

#define SIP_MIME_VERSION_INIT | ( |  | ) |

Initializer for structure sip_mime_version_t.

A static sip_mime_version_t structure for MIME-Version header must be initialized with the SIP_MIME_VERSION_INIT() macro. For instance,

sip_mime_version_t sip_mime_version = SIP_MIME_VERSION_INIT;
SIP_MIME_VERSION_INIT
#define SIP_MIME_VERSION_INIT()
Initializer for structure sip_mime_version_t.
Definition sip_protos.h:14666
sip_mime_version
#define sip_mime_version(sip)
Access a SIP MIME-Version header structure sip_mime_version_t from sip_t.
Definition sip_protos.h:14649
sip_mime_version_t
struct msg_generic_s sip_mime_version_t
@
Definition sip.h:156

## SIPTAG_MIME_VERSION

#define SIPTAG_MIME_VERSION | ( |  | x | ) |

Tag list item for pointer to a MIME-Version header structure sip_mime_version_t.

The SIPTAG_MIME_VERSION() macro is used to include a tag item with a pointer to a sip_mime_version_t structure in a tag list.

Parameters

  x | pointer to a sip_mime_version_t structure, or NULL.

The corresponding tag taking reference parameter is SIPTAG_MIME_VERSION_REF().

## SIPTAG_MIME_VERSION_STR

#define SIPTAG_MIME_VERSION_STR | ( |  | s | ) |

Tag list item for string with MIME-Version header value.

The SIPTAG_MIME_VERSION_STR() macro is used to include a tag item with a string containing value of a sip_mime_version_t header in a tag list.

Parameters

  s | pointer to a string containing MIME-Version header value, or NULL.

The string in SIPTAG_MIME_VERSION_STR() can be converted to a sip_mime_version_t header structure by giving the string s has second argument to function sip_mime_version_make().

The corresponding tag taking reference parameter is SIPTAG_MIME_VERSION_STR_REF().

## Typedef Documentation

## sip_mime_version_t

typedef struct msg_generic_s sip_mime_version_t

@

MIME-Version header indicates what version of the MIME protocol was used to construct the message. Its syntax is defined in [H19.4.1, S10.28] as follows:

MIME-Version = "MIME-Version" HCOLON 1*DIGIT "." 1*DIGIT
DIGIT
#define DIGIT

The parsed MIME-Version header is stored in sip_mime_version_t structure.

The structure sip_mime_version_t contains representation of an MIME-Version header.

The sip_mime_version_t is defined as follows:

typedef struct msg_generic_s
{
msg_common_t g_common[1]; // Common fragment info
msg_generic_t *g_next; // Link to next header
char const *g_string; // Header value
} sip_mime_version_t;
msg_common_t
struct msg_common_s msg_common_t
msg_generic_s
msg_generic_s::g_common
msg_common_t g_common[1]
msg_generic_s::g_string
char const * g_string
msg_generic_s::g_next
msg_generic_t * g_next

## Function Documentation

## sip_is_mime_version()

int sip_is_mime_version | ( | sip_header_t const * | header | ) |

inline

Test if header object is instance of sip_mime_version_t.

Check if the header class is an instance of MIME-Version header object and return true (nonzero), otherwise return false (zero).

Parameters

  header | pointer to the header structure to be tested

Return values

  1 | (true) if the header is an instance of header mime_version
  0 | (false) otherwise

## sip_mime_version_copy()

sip_mime_version_t * sip_mime_version_copy | ( | su_home_t * | home,
|  | sip_mime_version_t const * | hdr )

inline

Copy a list of MIME-Version header header structures sip_mime_version_t.

The function sip_mime_version_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the list of header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be copied

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old hdr header, including the encoding of the old header, if present.

Example
  mime_version = sip_mime_version_copy(home, sip->sip_mime_version);
  sip_mime_version_copy
  sip_mime_version_t * sip_mime_version_copy(su_home_t *home, sip_mime_version_t const *hdr))
  Copy a list of MIME-Version header header structures sip_mime_version_t.
  Definition sip_protos.h:14796

Returns
  A pointer to newly copied header structure, or NULL upon an error.

## sip_mime_version_dup()

sip_mime_version_t * sip_mime_version_dup | ( | su_home_t * | home,
|  | sip_mime_version_t const * | hdr )

inline

Duplicate a list of MIME-Version header header structures sip_mime_version_t.

Duplicate a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  mime_version = sip_mime_version_dup(home, sip->sip_mime_version);
  sip_mime_version_dup
  sip_mime_version_t * sip_mime_version_dup(su_home_t *home, sip_mime_version_t const *hdr))
  Duplicate a list of MIME-Version header header structures sip_mime_version_t.
  Definition sip_protos.h:14753

Returns
  A pointer to the newly duplicated sip_mime_version_t header structure, or NULL upon an error.

## sip_mime_version_format()

sip_mime_version_t * sip_mime_version_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a MIME-Version header from formatting result.

Make a new sip_mime_version_t object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and parses the formatting result to the structure sip_mime_version_t.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Returns
  A pointer to newly makes header structure, or NULL upon an error.

## sip_mime_version_init()

sip_mime_version_t * sip_mime_version_init | ( | sip_mime_version_t | x[1] | ) |

inline

Initialize a structure sip_mime_version_t.

An sip_mime_version_t structure for MIME-Version header can be initialized with the sip_mime_version_init() function/macro. For instance,

sip_mime_version_t sip_mime_version;
sip_mime_version_init(&sip_mime_version);
sip_mime_version_init
sip_mime_version_t * sip_mime_version_init(sip_mime_version_t x[1])
Initialize a structure sip_mime_version_t.
Definition sip_protos.h:14684

## sip_mime_version_make()

sip_mime_version_t * sip_mime_version_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a MIME-Version header structure sip_mime_version_t.

The function sip_mime_version_make() makes a new sip_mime_version_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Returns
  A pointer to newly maked sip_mime_version_t header structure, or NULL upon an error.

## Variable Documentation

## sip_mime_version_class

msg_hclass_t sip_mime_version_class[]

extern

Header class for MIME-Version header.

The header class sip_mime_version_class defines how a SIP MIME-Version header is parsed and printed. It also contains methods used by SIP parser and other functions to manipulate the sip_mime_version_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.